package com.agilex.healthcare.schedulingmanager.domain;


import com.agilex.healthcare.mobilehealthplatform.domain.PatientData;
import com.agilex.healthcare.utility.datemarshallers.DateMarshaller;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;
import java.util.Date;

@XmlRootElement(name = "WaitListEntryDetail", namespace = Namespace.SchedulingManager)
@XmlAccessorType(value = XmlAccessType.NONE)
public class WaitListEntryDetail extends PatientData {


    private static final long serialVersionUID = 619947025614514206L;

	@XmlElement
    private String ssn;

    @XmlElement
    private String currentStatus;

    @XmlElement
    @XmlJavaTypeAdapter(DateMarshaller.class)
    private Date dateOfBirth;

    @XmlElement
    private String meansTest;

    @XmlElement
    @XmlJavaTypeAdapter(DateMarshaller.class)
    private Date originatingDate;

    @XmlElement
    private String priority;

    @XmlElement
    @XmlJavaTypeAdapter(DateMarshaller.class)
    private Date lastUpdatedDate;

    @XmlElement
    private String specialty;

    @XmlElement
    private String clinic;

    @XmlElement
    private String facility;

    @XmlElement
    private String provider;

    @XmlElement
    private String comments;

    @XmlElement
    private String sourceListName;

    @XmlElement
    private String waitListType;

    @XmlElement
    @XmlJavaTypeAdapter(DateMarshaller.class)
    private Date desiredDate;

    @XmlElement
    private String daysOnList;

    @XmlElement
    private String lastName;

    @XmlElement
    private String firstName;

    @XmlElement
    private String serviceConnected;

    @XmlElement
    private String enrolleeStatus;

    @XmlElement
    private String id;


    public String getSsn() {
        return ssn;
    }

    public void setSsn(String ssn) {
        this.ssn = ssn;
    }

    public String getCurrentStatus() {
        return currentStatus;
    }

    public void setCurrentStatus(String currentStatus) {
        this.currentStatus = currentStatus;
    }

    public Date getDateOfBirth() {
        return dateOfBirth;
    }

    public void setDateOfBirth(Date dateOfBirth) {
        this.dateOfBirth = dateOfBirth;
    }

    public String getMeansTest() {
        return meansTest;
    }

    public void setMeansTest(String meansTest) {
        this.meansTest = meansTest;
    }

    public Date getOriginatingDate() {
        return originatingDate;
    }

    public void setOriginatingDate(Date originatingDate) {
        this.originatingDate = originatingDate;
    }

    public String getPriority() {
        return priority;
    }

    public void setPriority(String priority) {
        this.priority = priority;
    }

    public Date getLastUpdatedDate() {
        return lastUpdatedDate;
    }

    public void setLastUpdatedDate(Date lastUpdatedDate) {
        this.lastUpdatedDate = lastUpdatedDate;
    }

    public String getSpecialty() {
        return specialty;
    }

    public void setSpecialty(String specialty) {
        this.specialty = specialty;
    }

    public String getClinic() {
        return clinic;
    }

    public void setClinic(String clinic) {
        this.clinic = clinic;
    }

    public String getFacility() {
        return facility;
    }

    public void setFacility(String facility) {
        this.facility = facility;
    }

    public String getProvider() {
        return provider;
    }

    public void setProvider(String provider) {
        this.provider = provider;
    }

    public String getComments() {
        return comments;
    }

    public void setComments(String comments) {
        this.comments = comments;
    }

    public String getSourceListName() {
        return sourceListName;
    }

    public void setSourceListName(String sourceListName) {
        this.sourceListName = sourceListName;
    }

    public String getWaitListType() {
        return waitListType;
    }

    public void setWaitListType(String waitListType) {
        this.waitListType = waitListType;
    }

    public Date getDesiredDate() {
        return desiredDate;
    }

    public void setDesiredDate(Date desiredDate) {
        this.desiredDate = desiredDate;
    }

    public String getDaysOnList() {
        return daysOnList;
    }

    public void setDaysOnList(String daysOnList) {
        this.daysOnList = daysOnList;
    }

    public String getLastName() {
        return lastName;
    }

    public void setLastName(String lastName) {
        this.lastName = lastName;
    }

    public String getFirstName() {
        return firstName;
    }

    public void setFirstName(String firstName) {
        this.firstName = firstName;
    }

    public String getServiceConnected() {
        return serviceConnected;
    }

    public void setServiceConnected(String serviceConnected) {
        this.serviceConnected = serviceConnected;
    }

    public String getEnrolleeStatus() {
        return enrolleeStatus;
    }

    public void setEnrolleeStatus(String enrolleeStatus) {
        this.enrolleeStatus = enrolleeStatus;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }
}
